<script>
  export let status
  export let error

  const dev = process.env.NODE_ENV === "development"

  import Alert from "sveltestrap/src/Alert.svelte"
  import OError from "@overleaf/o-error"
  import ButtonIcon from "../components/ButtonIcon.svelte"
</script>

<svelte:head>
  <title>Erreur {status}</title>
</svelte:head>

<h1 class="page-title">Erreur {status}</h1>

<div class="my-5">
  <ButtonIcon icon="bx-arrow-back" href=".">Retour à l'accueil</ButtonIcon>
</div>

<Alert color="danger">
  {#if error.title}
    <h4 class="alert-heading text-capitalize">{error.title}</h4>
  {/if}
  {error.message}
</Alert>

{#if dev && error.stack}
  <pre>{OError.getFullStack(error)}</pre>
  <pre>{JSON.stringify(OError.getFullInfo(error), null, 2)}</pre>
{/if}
